Skip to main content
GET
/
api
/
public
/
v1
/
sender-accounts
/
smtp
/
bulk
/
{job_id}
/
progress
Get bulk SMTP job progress
curl --request GET \
  --url https://api.coldsend.pro/api/public/v1/sender-accounts/smtp/bulk/{job_id}/progress \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "message": "<string>",
  "job": {
    "job_id": "<string>",
    "status": "<string>",
    "progress_percentage": 123,
    "total_rows": 123,
    "processed_count": 123,
    "success_count": 123,
    "failed_count": 123,
    "started_at": "<string>",
    "completed_at": "<string>",
    "results": []
  }
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Path Parameters

job_id
string
required

Job ID from bulk creation response

Response

Job progress retrieved

Response for bulk SMTP job progress.

success
boolean
required
message
string
required
job
SMTPBulkJobProgress · object
required

Job progress details